require 'mechanize'
require 'security'
require 'uri'
require 'json'
require 'logger'
require 'nokogiri'

module Atlantis
  module Portal
    class Agent < ::Mechanize
      attr_accessor :format, :service, :service_instance

      def initialize
        super

        self.user_agent_alias = 'Mac Safari'

        self.log ||= Logger.new(STDOUT)
        self.log.level = Logger::ERROR

        if ENV['HTTP_PROXY']
          uri = URI.parse(ENV['HTTP_PROXY'])
          user = ENV['HTTP_PROXY_USER'] if ENV['HTTP_PROXY_USER']
          password = ENV['HTTP_PROXY_PASSWORD'] if ENV['HTTP_PROXY_PASSWORD']

          set_proxy(uri.host, uri.port, user || uri.user, password || uri.password)
        end
      end
    end
  end
end