include Atlantis::Portal

require 'atlantis/portal/helpers'
include Atlantis::Portal::Helpers

global_option('-u', '--username USER', 'Username') { |arg| arguments.username = arg unless arg.nil? }
global_option('-p', '--password PASSWORD', 'Password') { |arg| arguments.password = arg unless arg.nil? }
global_option('--team TEAM', 'Team or Organisation') { |arg| arguments.team = arg if arg }
global_option('--info', 'Set log level to INFO') { agent.log.level = Logger::INFO }
global_option('--debug', 'Set log level to DEBUG') { agent.log.level = Logger::DEBUG }
global_option('--format [table|csv|json]', 'Set output format (default: table)') { |arg| arguments.format = arg if arg }
global_option('--group GROUP', 'Set group or distribution list') { |arg| arguments.group = arg if arg }
global_option('--service [crashlytics/testflight]', 'Set service (default: testflight)') { |arg| arguments.service = arg if arg }

require 'atlantis/portal/commands/login'
require 'atlantis/portal/commands/logout'
require 'atlantis/portal/commands/people'
require 'atlantis/portal/commands/devices'
require 'atlantis/portal/commands/groups'