require 'mechanize'
require 'security'
require 'uri'
require 'json'
require 'logger'
require 'nokogiri'

module Atlantis
  module Portal
    class Service
      attr_accessor :host, :arguments

      def username
        unless (arguments.username.nil?)
          return arguments.username
        end

        account = security_account

        return account.attributes['acct'] if account
      end

      def password
        unless (arguments.password.nil?)
          return arguments.password
        end

        account = security_account

        return account.password if account
      end

      def security_account
        pw = Security::InternetPassword.find(:server => self.host)

        return pw
      end

      def team
        unless (arguments.team.nil?)
          return arguments.team
        end
      end
    end
  end
end